package com.njcn.device.pq.mapper;

import com.njcn.device.pq.pojo.vo.FlowStrategyVO;
import com.njcn.device.pq.pojo.vo.RateOfFlowVO;
import com.njcn.device.pq.pojo.vo.ShowFlowStrategyVO;

import java.util.List;

/**
 * @version 1.0.0
 * @author: chenchao
 * @date: 2022/05/11 16:34
 */
public interface RateOfFlowMapper  {

    /**
     * 获取流量套餐信息，支持模糊筛选
     */
    List<RateOfFlowVO> getRateOfFlowData();
    /**
     * 查询基础套餐默认唯一性
     */
    List<RateOfFlowVO> getRateOfFlowFlag();
    /**
     * 修改套餐状态
     */
    void updateByState(String id);


    /**
     * 获取流量策略信息
     */
    List<FlowStrategyVO> getFlowStrategy();
    /**
     * 查询流量策略默认唯一性
     */
    List<FlowStrategyVO> getStrategyFlag();
    /**
     * 修改策略状态
     */
    void updateByStrategy(String id);
    /**
     * 通过id获取流量策略
     */
    ShowFlowStrategyVO getFlowStrategyById(String id);
    /**
     * 查询流量策略关联表
     */
    List<String> getStrategyDicFun(String id);
    String getDictData(String id);
    /**
     * 删除流量策略功能关联信息
     */
    void delStrategyDicFun(String id);

}
